Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
@@ -1614,116 +1955,13 @@
 
                 ChkProc = null;
                 cbiDB.close(); cbiDB = null;
-                picDB.close(); picDB = null;
                 dmDB.close(); dmDB = null;
                 dgvConstructionProjects.ResumeLayout();
             }
         }
-        #region 旧案件一覧表示
-        //private void DispConstructionProjects()
-        //{
-        //    IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-        //    IOMPersonInCharge picDB = new IOMPersonInCharge();
-        //    try
-        //    {
-        //        dgvConstructionProjects.Rows.Clear();
-        //        // SQL作成
-        //        string strSQL = CreateConstructionProjectsSQL();
-        //        ArrayList arData = new ArrayList();
-        //        // 工事基本情報取得
-        //        if (cbiDB.ExecuteReader(strSQL, ref arData))
-        //        {
-        //            ProgressConstructionProjects.Visible = true;
-        //            ProgressConstructionProjects.Minimum = 0;
-        //            ProgressConstructionProjects.Maximum = arData.Count;
-        //            tabPage9.Update();
-        //            //Thread.Sleep(100);
-
-        //            dgvConstructionProjects.SuspendLayout();
-
-        //            // データ表示
-        //            int ino = 1;
-        //            long lTotal = 0;
-        //            foreach (object[] objwrk in arData)
-        //            {
-        //                // 営業担当名取得
-        //                string strSales = picDB.CreatePrimarykeyString(int.Parse(objwrk[3].ToString()));
-        //                PersonInChargeMaster salesData = new PersonInChargeMaster();
-        //                picDB.SelectAction(strSales, ref salesData);
-        //                string salesname = salesData.PersonName;
-        //                // 工事担当名取得
-        //                string strConstructor = picDB.CreatePrimarykeyString(int.Parse(objwrk[4].ToString()));
-        //                PersonInChargeMaster constructorData = new PersonInChargeMaster();
-        //                string constructorname = ClsCommonDefine.s_UndecidedString;
-        //                if (picDB.SelectAction(strConstructor, ref constructorData)) constructorname = constructorData.PersonName;
-        //                // 工事指導員取得
-        //                string strConstructionInstructor = picDB.CreatePrimarykeyString(int.Parse(objwrk[16].ToString()));
-        //                PersonInChargeMaster InstructorData = new PersonInChargeMaster();
-        //                string instructorname = "";
-        //                if (picDB.SelectAction(strConstructionInstructor, ref InstructorData)) instructorname = InstructorData.PersonName;
-
-        //                string jyutyu = "";
-        //                if (ClsCommon.cnvInt(objwrk[15].ToString()) != 0)
-        //                    jyutyu = @"\" + ClsCommon.cnvInt(objwrk[15].ToString()).ToString("#,#") + "-";
-
-        //                dgvConstructionProjects.Rows.Add(objwrk[0].ToString()
-        //                                            , ino
-        //                                            , objwrk[1].ToString()
-        //                                            , objwrk[2].ToString()
-        //                                            , ClsCommonDefine.ConstructionProjectsStatus[int.Parse(objwrk[11].ToString())]
-        //                                            , salesname
-        //                                            , constructorname
-        //                                            , instructorname
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[5].ToString()))
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[6].ToString()))
-        //                                            , objwrk[7].ToString() + objwrk[8].ToString() + objwrk[9].ToString()
-        //                                            , objwrk[10].ToString()
-        //                                            , jyutyu
-        //                                            );
-        //                // ProgressBarの値を変更する
-        //                ProgressConstructionProjects.Value = ino++;
-        //                ProgressConstructionProjects.Update();
-
-        //                lTotal += ClsCommon.cnvInt(objwrk[15].ToString());
-        //            }
-        //            // ProgressBarの値を変更する
-        //            ProgressConstructionProjects.Value = ProgressConstructionProjects.Maximum;
-        //            ProgressConstructionProjects.Update();
-        //            ProgressConstructionProjects.Visible = false;
-
-        //            lblConstructionProjectsTotal.Text = @"\" + lTotal.ToString("#,0") + "-";
-        //        }
-
-        //        // データが多くなればソートできる
-        //        if (ClsCommonDefine.s_MaxInitLineCount < dgvConstructionProjects.RowCount)
-        //        {
-        //            foreach (DataGridViewColumn wrkCol in dgvConstructionProjects.Columns)
-        //                wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
-        //        }
-        //        else
-        //        {
-        //            // 読込時データカウント取得
-        //            dgvConstructionProjects.RowCount += (ClsCommonDefine.s_MaxInitLineCount - arData.Count);
-        //        }
-
-        //        dgvConstructionProjects.ResumeLayout();
-
-        //    }
-        //    catch (Exception ex)
-        //    {
-        //        logger.ErrorFormat("システムエラー：{0}：{1}", ClsCommon.GetMethodName(), ex.Message);
-        //    }
-        //    finally
-        //    {
-        //        cbiDB.close();
-        //        cbiDB = null;
-
-        //        picDB.close();
-        //        picDB = null;
-        //    }
-        //}
         #endregion
 
+        #region 受注状況一覧表示用データ取得SQL作成
         /// <summary>
         /// 受注状況一覧表示用データ取得SQL作成
         /// </summary>
@@ -1751,44 +1989,26 @@
             }
         }
         #endregion
+        #endregion
 
-        #region 期の最大・最少を取得する
+        #region 非受注案件一覧表示関連
+        #region 非受注状況一覧データ並び
         /// <summary>
-        /// 期の最大・最少を取得する
+        /// 非受注状況一覧データ並び
         /// </summary>
-        /// <param name="StartDate"></param>
-        /// <returns></returns>
-        private void GetPeriodYear(string strWhere, ref int min, ref int max)
+        private enum DBColumn3
         {
-            IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-            try
-            {
-                string strSQL = "SELECT ConstructionPeriod FROM CONSTRUCTIONBASEINFO";
-                strSQL += strWhere;
-                strSQL += " GROUP BY ConstructionPeriod";
-                ArrayList arList = new ArrayList();
-                if (!cbiDB.ExecuteReader(strSQL, ref arList)) return;
-                int[] iNumber = new int[arList.Count];
-                int i = 0;
-                foreach (object[] wrkobj in arList)
-                {
-                    iNumber[i++] = CommonMotions.cnvInt(wrkobj[0].ToString());
-                }
-                min = iNumber.Min();
-                max = iNumber.Max();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                cbiDB.close(); cbiDB = null;
-            }
+            ConstructionCode = 0,
+            ConstructionPeriod,
+            DETAILNO,
+            DETAILSTRING,
+            ConstructionStatusFlg,
+            EstimatesSubmitDeadline,
+            PERSONNAME,
         }
         #endregion
 
-        #region 非受注案件一覧表示関連
+        #region 非受注案件一覧表示
         /// <summary>
         /// 非受注案件一覧表示
         /// </summary>
@@ -1801,11 +2021,19 @@
             {
                 dgvNonOrders.Rows.Clear();
                 // SQL作成
-                string strSQL = CreateNonOrdersSQL();
-                strSQL += " Order By ConstructionPeriod Desc, ConstructionCode Desc";
-                List<ConstructionBaseInfo> arData = new List<ConstructionBaseInfo>();
+                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg, A.EstimatesSubmitDeadline, C.PERSONNAME, A.* ";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A, CONSTRUCTIONBASEINFODETAIL B, PERSONINCHARGEMASTER C";
+                strSQL += CreateNonOrdersSQL();
+
+                strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+
+                strSQL += " Order By A.ConstructionPeriod Desc, A.ConstructionCode Desc, B.DETAILNO ASC";
+                ArrayList arData = new ArrayList();
+
                 // 工事基本情報取得
-                if (!cbiDB.SelectAction(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
                 if (arData.Count == 0) return;
 
                 ProgressNonOrders.Visible = true;
@@ -1824,42 +2052,52 @@
                 // 行を作成する
                 DataGridViewRow[] list = new DataGridViewRow[arData.Count + BlankCnt];
                 // 先頭の期数を取得する
-                ConstructionBaseInfo firstwrkRec = arData[0];
-                int BreakConstructionPeriod = firstwrkRec.ConstructionPeriod;
+                object[] firstwrkRec = (object[])arData[0];
+                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn1.ConstructionPeriod]);
                 int iLineCnt = 0;
-                foreach (ConstructionBaseInfo wrkRec in arData)
+                int DBCnt = Enum.GetNames(typeof(DBColumn3)).Length;
+                int BreakConstructionCode = 0;
+                foreach (object[] DataRec in arData)
                 {
-                    // 営業担当名取得
-                    string strSales = picDB.CreatePrimarykeyString(wrkRec.SalesPersonCode);
-                    picDB.ClearStruct(ref salesData);
-                    picDB.SelectAction(strSales, ref salesData);
-                    string salesname = salesData.PersonName;
+                    int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn3.ConstructionCode]);
+                    int iConstructionPeriod = CommonMotions.cnvInt(DataRec[(int)DBColumn3.ConstructionPeriod]);
+                    int iConstructionStatusFlg = CommonMotions.cnvInt(DataRec[(int)DBColumn3.ConstructionStatusFlg]);
+                    DateTime dEstimatesSubmitDeadline = CommonMotions.cnvDate(DataRec[(int)DBColumn3.EstimatesSubmitDeadline]);
+                    string salesname = CommonMotions.cnvString(DataRec[(int)DBColumn3.PERSONNAME]);
 
+                    if (iConstructionCode == BreakConstructionCode) continue;
                     // 名称取得
-                    getDetailStrings(wrkRec.ConstructionCode, Details);
+                    getDetailStrings(iConstructionCode, arData, ref Details);
 
+                    BreakConstructionCode = iConstructionCode;
+
+                    // データを工事情報のフォーマットに詰めなおす
+                    ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                    int objCnt = DataRec.Length - DBCnt;
+                    object[] wrkobj = new object[objCnt];
+                    for (int i = 0; i < objCnt; i++)
+                    {
+                        wrkobj[i] = DataRec[i + DBCnt];
+                    }
+                    cbiDB.Reader2Struct(wrkobj, ref wrkRec);
+
                     // 期が違えば空白を開ける
                     if (BreakConstructionPeriod != wrkRec.ConstructionPeriod)
                     {
-                        DataGridViewRow brow = new DataGridViewRow();
-                        brow.CreateCells(dgvNonOrders);
-                        list[iLineCnt] = brow;
                         BreakConstructionPeriod = wrkRec.ConstructionPeriod;
+                        dgvNonOrders.Rows.Add();
                         iLineCnt++;
                     }
 
                     // データセット
-                    DataGridViewRow row = new DataGridViewRow();
-                    row.CreateCells(dgvNonOrders);
-                    row.SetValues(new object[] { wrkRec.ConstructionCode
+                    int LineCnt = dgvNonOrders.Rows.Add(wrkRec.ConstructionCode
                                                 , ino
                                                 , wrkRec.ConstructionPeriod
                                                 , Details[0]
                                                 , salesname
                                                 , Details[4]
-                                                , Details[1] + Details[2] + Details[3]});
+                                                , Details[1] + Details[2] + Details[3]);
 
-                    list[iLineCnt] = row;
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
@@ -1872,9 +2110,6 @@
                 dgvNonOrders.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
                 dgvNonOrders.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
-                // グリッドに表示
-                dgvNonOrders.Rows.AddRange(list);
-
                 // ProgressBarの値を変更する
                 ProgressNonOrders.Value = ProgressNonOrders.Maximum;
                 ProgressNonOrders.Update();
@@ -1903,6 +2138,9 @@
                 dgvNonOrders.ResumeLayout();
             }
         }
+        #endregion
+
+        #region 非受注案件一覧表示用データ取得SQL作成
         /// <summary>
         /// 非受注案件一覧表示用データ取得SQL作成
         /// </summary>
@@ -1915,6 +2153,7 @@
                 stat.Add(CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key);            // 11
 
                 strSQL += CreateListSQL(stat);
+                strSQL += string.Format(" And CONSTRUCTIONPERIOD = {0}", numUDNonOrder.Value);
 
                 return strSQL;
             }
@@ -1924,88 +2163,29 @@
                 return string.Empty;
             }
         }
-        #region 旧非受注一覧
-        //private void DispNonOrders()
-        //{
-        //    IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
-        //    IOMPersonInCharge picDB = new IOMPersonInCharge();
-        //    try
-        //    {
-        //        dgvNonOrders.Rows.Clear();
-        //        // SQL作成
-        //        string strSQL = CreateNonOrdersSQL();
-        //        ArrayList arData = new ArrayList();
-        //        // 工事基本情報取得
-        //        if (cbiDB.ExecuteReader(strSQL, ref arData))
-        //        {
-        //            ProgressNonOrders.Visible = true;
-        //            ProgressNonOrders.Minimum = 0;
-        //            ProgressNonOrders.Maximum = arData.Count;
-        //            tabPage14.Update();
-        //            //Thread.Sleep(100);
-
-        //            dgvNonOrders.SuspendLayout();
-
-        //            // データ表示
-        //            int ino = 1;
-        //            foreach (object[] objwrk in arData)
-        //            {
-        //                // 営業担当名取得
-        //                string strSales = picDB.CreatePrimarykeyString(int.Parse(objwrk[3].ToString()));
-        //                PersonInChargeMaster salesData = new PersonInChargeMaster();
-        //                picDB.SelectAction(strSales, ref salesData);
-        //                string salesname = salesData.PersonName;
-
-        //                dgvNonOrders.Rows.Add(objwrk[0].ToString()
-        //                                            , ino
-        //                                            , objwrk[1].ToString()
-        //                                            , objwrk[2].ToString()
-        //                                            , salesname
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[5].ToString()))
-        //                                            , ClsCommon.cnvDateToUndecidedString(ClsCommon.cnvDate(objwrk[6].ToString()))
-        //                                            , objwrk[7].ToString() + objwrk[8].ToString() + objwrk[9].ToString()
-        //                                            , objwrk[10].ToString()
-        //                                            );
-
-        //                // ProgressBarの値を変更する
-        //                ProgressNonOrders.Value = ino++;
-        //                ProgressNonOrders.Update();
-        //            }
-        //            // ProgressBarの値を変更する
-        //            ProgressNonOrders.Value = ProgressNonOrders.Maximum;
-        //            ProgressNonOrders.Update();
-        //            ProgressNonOrders.Visible = false;
-        //        }
-
-        //        // データが多くなればソートできる
-        //        if (ClsCommonDefine.s_MaxInitLineCount < dgvNonOrders.RowCount)
-        //        {
-        //            foreach (DataGridViewColumn wrkCol in dgvNonOrders.Columns)
-        //                wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
-        //        }
-        //        else
-        //        {
-        //            // 読込時データカウント取得
-        //            dgvNonOrders.RowCount += (ClsCommonDefine.s_MaxInitLineCount - arData.Count);
-        //        }
-
-        //        dgvNonOrders.ResumeLayout();
-        //    }
-        //    catch (Exception ex)
-        //    {
-        //        logger.ErrorFormat("システムエラー：{0}：{1}", ClsCommon.GetMethodName(), ex.Message);
-        //    }
-        //    finally
-        //    {
-        //        cbiDB.close(); cbiDB = null;
-        //        picDB.close(); picDB = null;
-        //    }
-        //}
         #endregion
         #endregion
 
         #region 完了案件一覧表示関連
+        #region 完了工事一覧データ並び
         /// <summary>
+        /// 完了工事一覧データ並び
+        /// </summary>
+        private enum DBColumn4
+        {
+            ConstructionCode = 0,
+            ConstructionPeriod,
+            DETAILNO,
+            DETAILSTRING,
+            ConstructionStatusFlg,
+            CompletionDate,
+            S_PERSONNAME,
+            C_PERSONNAME,
+        }
+        #endregion
+
+        #region 完了案件一覧表示
+        /// <summary>
         /// 完了案件一覧表示
         /// </summary>
         private void DispCompletionOfConstruction()
@@ -2017,11 +2197,20 @@
             {
                 dgvCompletionOfConstruction.Rows.Clear();
                 // SQL作成
-                DateTime StartDate = DateTime.Parse(DateTime.Now.FiscalYear().ToString() + "/" + CommonMotions.SystemMasterData.BusinessBeginningDate);
-                string strSQL = CreateCompletionOfConstructionSQL(StartDate.AddYears(-1));
-                List<ConstructionBaseInfo> arData = new List<ConstructionBaseInfo>();
+                string strSQL = "SELECT A.ConstructionCode, A.ConstructionPeriod, B.DETAILNO, B.DETAILSTRING, A.ConstructionStatusFlg,";
+                strSQL += " A.ConstructionCompletionDate, C.PERSONNAME, D.PERSONNAME, A.* ";
+                strSQL += " FROM CONSTRUCTIONBASEINFO A LEFT JOIN  PERSONINCHARGEMASTER D  ON D.PERSONCODE = A.CONSTRUCTIONPERSONCODE,";
+                strSQL += " CONSTRUCTIONBASEINFODETAIL B , PERSONINCHARGEMASTER C";
+
+                strSQL += CreateCompletionOfConstructionSQL();
+                strSQL += string.Format(" AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE AND B.DETAILNO <= {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);
+                strSQL += " AND C.PERSONCODE = A.SALESPERSONCODE";
+
+                strSQL += " Order By A.ConstructionCompletionDate Desc, A.ConstructionCode Asc, A.ConstructionStatusFlg Asc, B.DETAILNO ASC";
+                ArrayList arData = new ArrayList();
+
                 // 工事基本情報取得
-                if (!cbiDB.SelectAction(strSQL, ref arData)) return;
+                if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
                 if (arData.Count == 0) return;
 
                 ProgressCompletionOfConstruction.Visible = true;
@@ -2030,8 +2219,8 @@
                 tabPage15.Update();
                 //Thread.Sleep(100);
 
-                lblCompTitile01.Visible = false;
-                lblCompTitile02.Visible = false;
+                lblCompTitle01.Visible = false;
+                lblCompTitle02.Visible = false;
                 lblCompTotal01.Visible = false;
                 lblCompTotal02.Visible = false;
 
@@ -2039,28 +2228,48 @@
 
                 // 1件目取得
                 DateTime BreakDate = DateTime.Now;
-                if (arData.Count != 0)
-                {
-                    BreakDate = arData[0].ConstructionCompletionDate;
-                }
+                object[] firstwrkRec = (object[])arData[0];
+                int BreakConstructionPeriod = CommonMotions.cnvInt(firstwrkRec[(int)DBColumn1.ConstructionPeriod]);
+                BreakDate = CommonMotions.cnvDate(firstwrkRec[(int)DBColumn4.CompletionDate]);
 
                 // データ表示
                 int ino = 1;
-                long Total01 = 0;
-                long Total02 = 0;
                 DateTime BreakPeriodDate = DateTime.Parse(DateTime.Now.FiscalYear().ToString() + "/" + CommonMotions.SystemMasterData.BusinessBeginningDate);
                 List<string> Details = new List<string>();
-                PersonInChargeMaster salesData = new PersonInChargeMaster();
-                PersonInChargeMaster constructorData = new PersonInChargeMaster();
-                ArrayList personlist= new ArrayList();
+                ArrayList personlist = new ArrayList();
                 // 月のカウントから空白行数を取得する
-                int BlankCount = GetMonthryCount(StartDate.AddYears(-1));
+                //int BlankCount = GetMonthryCount(StartDate.AddYears(-1));
+                int BlankCount = GetMonthryCount();
                 if (BlankCount > 2) BlankCount--;
-                // 行を作成する
-                DataGridViewRow[] list = new DataGridViewRow[arData.Count + BlankCount];
                 int iLineCnt = 0;
-                foreach (ConstructionBaseInfo wrkRec in arData)
+                int DBCnt = Enum.GetNames(typeof(DBColumn4)).Length;
+                int BreakConstructionCode = 0;
+                foreach (object[] DataRec in arData)
                 {
+                    int iConstructionCode = CommonMotions.cnvInt(DataRec[(int)DBColumn1.ConstructionCode]);
+                    int iConstructionPeriod = CommonMotions.cnvInt(DataRec[(int)DBColumn1.ConstructionPeriod]);
+                    int iConstructionStatusFlg = CommonMotions.cnvInt(DataRec[(int)DBColumn1.ConstructionStatusFlg]);
+                    DateTime dEstimatesSubmitDeadline = CommonMotions.cnvDate(DataRec[(int)DBColumn1.EstimatesSubmitDeadline]);
+                    string salesname = CommonMotions.cnvString(DataRec[(int)DBColumn1.S_PERSONNAME]);
+                    string constructorname = CommonMotions.cnvString(DataRec[(int)DBColumn1.C_PERSONNAME]);
+                    if (constructorname.Length == 0) constructorname = CommonDefine.s_UndecidedString;
+
+                    if (iConstructionCode == BreakConstructionCode) continue;
+                    // 名称取得
+                    getDetailStrings(iConstructionCode, arData, ref Details);
+
+                    BreakConstructionCode = iConstructionCode;
+
+                    // データを工事情報のフォーマットに詰めなおす
+                    ConstructionBaseInfo wrkRec = new ConstructionBaseInfo();
+                    int objCnt = DataRec.Length - DBCnt;
+                    object[] wrkobj = new object[objCnt];
+                    for (int i = 0; i < objCnt; i++)
+                    {
+                        wrkobj[i] = DataRec[i + DBCnt];
+                    }
+                    cbiDB.Reader2Struct(wrkobj, ref wrkRec);
+
                     // 月が変われば1行開ける
                     string breakYM = BreakDate.ToShortDateString();
                     breakYM = breakYM.Substring(0, breakYM.LastIndexOf('/'));
@@ -2070,35 +2279,14 @@
 
                     if (string.Compare(breakYM, DataYm) != 0)
                     {
-                        DataGridViewRow brow = new DataGridViewRow();
-                        brow.CreateCells(dgvCompletionOfConstruction);
-                        list[iLineCnt] = brow;
+                        dgvCompletionOfConstruction.Rows.Add();
                         iLineCnt++;
                     }
 
                     BreakDate = wrkRec.ConstructionCompletionDate;
 
-                    personlist.Clear();
-                    string salesname = CommonDefine.s_UndecidedString;
-                    string constructorname = CommonDefine.s_UndecidedString;
-                    string PersonSQL = string.Format("SELECT * FROM (SELECT C.PERSONNAME FROM PERSONINCHARGEMASTER C WHERE C.PERSONCODE = {0}) A,", wrkRec.SalesPersonCode);
-                    PersonSQL += string.Format("(SELECT D.PERSONNAME FROM PERSONINCHARGEMASTER D WHERE D.PERSONCODE = {0}) B", wrkRec.ConstructionPersonCode);
-                    if (picDB.ExecuteReader(PersonSQL, ref personlist) && personlist.Count != 0)
-                    {
-                        object[] wrkobj = (object[])personlist[0];
-                        // 営業担当名取得
-                        salesname = wrkobj[0].ToString();
-                        // 工事担当名取得
-                        constructorname = wrkobj[1].ToString();
-                    }
-
-                    // 名称取得
-                    getDetailStrings(wrkRec.ConstructionCode, Details);
-
                     // データセット
-                    DataGridViewRow row = new DataGridViewRow();
-                    row.CreateCells(this.dgvCompletionOfConstruction);
-                    row.SetValues(new object[] { wrkRec.ConstructionCode.ToString()
+                    int LineCnt = dgvCompletionOfConstruction.Rows.Add(wrkRec.ConstructionCode.ToString()
                                                 , ino
                                                 , wrkRec.ConstructionPeriod.ToString()
                                                 , Details[0]
@@ -2109,27 +2297,16 @@
                                                 , CommonMotions.cnvDateToUndecidedString(wrkRec.ConstructionStartingDate)
                                                 , CommonMotions.cnvDateToUndecidedString(wrkRec.ConstructionCompletionDate)
                                                 , Details[1] + Details[2] + Details[3]
-                                                , Details[4]});
+                                                , Details[4]);
 
                     // エラー行に色を付ける
+                    DataGridViewRow row = dgvCompletionOfConstruction.Rows[LineCnt];
                     DispErrorSubmittedDateRow(dgvCompletionOfConstruction, row, wrkRec, ChkProc);
-                    list[iLineCnt] = row;
                     iLineCnt++;
 
                     // ProgressBarの値を変更する
                     ProgressCompletionOfConstruction.Value = ino++;
                     ProgressCompletionOfConstruction.Update();
-
-                    // 金額加算
-                    if (wrkRec.ConstructionCompletionDate.Date < BreakPeriodDate.Date)
-                    {
-                        // 前期
-                        Total01 += (long)wrkRec.OrdersDecisionPrice;
-                    }
-                    else
-                    {   // 今期
-                        Total02 += (long)wrkRec.OrdersDecisionPrice;
-                    }
                 }
                 // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
                 dgvCompletionOfConstruction.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
@@ -2136,9 +2313,6 @@
                 dgvCompletionOfConstruction.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
                 dgvCompletionOfConstruction.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
-                // グリッドに表示
-                dgvCompletionOfConstruction.Rows.AddRange(list);
-
                 // ProgressBarの値を変更する
                 ProgressCompletionOfConstruction.Value = ProgressCompletionOfConstruction.Maximum;
                 ProgressCompletionOfConstruction.Update();
@@ -2145,6 +2319,8 @@
                 ProgressCompletionOfConstruction.Visible = false;
 
                 // 金額表示
+                long Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
+                long Total02 = CalcOrdersDecisionPrice(numUDCompletion.Value);
                 lblCompTotal01.Text = @"\" + Total01.ToString("#,0") + "-";
                 lblCompTotal02.Text = @"\" + Total02.ToString("#,0") + "-";
 
@@ -2152,8 +2328,8 @@
                 if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
                     CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
                 {
-                    lblCompTitile01.Visible = true;
-                    lblCompTitile02.Visible = true;
+                    lblCompTitle01.Visible = true;
+                    lblCompTitle02.Visible = true;
                     lblCompTotal01.Visible = true;
                     lblCompTotal02.Visible = true;
                 }
